Bug 172986 - autofs doesn't remount if nfs server is unreachable at expire time
Summary: autofs doesn't remount if nfs server is unreachable at expire time
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Moyer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-11-11 20:12 UTC by Jeff Moyer
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 20:40:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Comment 1 Jeff Moyer 2005-11-11 20:16:03 UTC
Seems the default is to create a private comment when cloning a bug.  Here is
the bug descripton.

+++ This bug was initially created as a clone of Bug #161875 +++


We upgraded our environment to U4, after which we are seeing auto mounter
mount points failing. Also, some times if gives an effect of
directories not found.

Error Message:
==============

Jan 18 22:24:24 stajf16 automount[7647]: >> nfs server reported service
unavailable: Connection timed out
Jan 18 22:24:24 stajf16 automount[7647]: mount(nfs): nfs: mount failure
@ stlinma3.us.oracle.com:/vol/ade_linux on /ade_autofs/ade_linux
Jan 18 22:24:24 stajf16 automount[7647]: failed to mount
/ade_autofs/ade_linux

System Info:
============
bash-2.05# uname -a
Linux stajf16 2.4.21-27.ELsmp #1 SMP Wed Dec 1 21:59:02 EST 2004 i686 i686
i386 GNU/Linux

bash-2.05# rpm -qa | grep autofs
autofs-4.1.3-47

bash-2.05# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 3 (Taroon Update 4)

-- Additional comment from greg.marsden@oracle.com on 2005-06-27 19:56 EST --
This test case invovled two Linux Red Hat 3.0 u4 machines.

Setup for the test case:
========================

1) Take two Linux machines <automountclient> and <nfsserver> (Both should
have Red Hat 3.0 u4 installed.)
@ 2) Login to <automountclient> as root.

  a) Make sure the autofs version is autofs-4.1.3-47.
  b) Make the following entry in the /etc/auto.master

    /test /etc/test_autofs tcp,retrans=5 --ghost --debug
 
  c) Make the following entry in the /etc/test_autofs

     autotest            
-ro,intr,timeo=600,actimeo=1200,rsize=32768,wsize=32768    \
                          <nfsserver>:/testdir

  d) cd /
  e) umount -a -t nfs;/sbin/service autofs stop
  f) /sbin/service autofs start

@ 3) Login to <nfsserver> as root.

  a) Make the following entry in the /etc/exports

     /testdir *(rw)

  b) mkdir /testdir
  c) mkdir -p /testdir/test1/test2
  d) /sbin/service nfs stop
  e) /sbin/service nfs start

How to reproduce the case?
==========================

@ 1) Open two connects, on each to <automountclient> and <nfsserver> and login
as root.
2) Let's assume "Windows 1"  is connected to <automountclient> and "Windows
2" connected to <nfsserver>.
3) On "Windows 1" do the following.

  ls -l /test/autotest/test1

  Output will show ls -l info of test2

4) Using mount command check if /test/autotest is auto umounted.
5) On "Window 2" do the following

  /sbin/service nfs stop

6) On "Window 1" do the following

 ls -l /test/autotest/test1

 Ouput will show "directory not found."

7) On "Window 2" do the following

  /sbin/service nfs start

8) On "Window 1" do the following.

  ls -l /test/autotest/test1

 Ouput will show "directory not found." (This is the case even after the nfs
server is up and running.)

-- Additional comment from greg.marsden@oracle.com on 2005-06-27 19:57 EST --
The testcase listed here only works if you do not umount the autofs mounted
partition by hand, but rather shut off the target nfsd and wait for autofs to
timeout the volume by itself. the failure seems to be in the cleanup after an
unsuccessful unmount.



Comment 7 Red Hat Bugzilla 2006-03-07 20:40:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.